Get alloy status
curl --request GET \
--url https://{host}/api/supervisors/{name}/monitoring/alloy/status \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/monitoring/alloy/status"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/monitoring/alloy/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/monitoring/alloy/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/monitoring/alloy/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/monitoring/alloy/status")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/monitoring/alloy/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"installed": true,
"desired": {
"chartVersion": "<string>",
"excludeNamespaces": [
"<string>"
],
"includeNamespaces": [
"<string>"
],
"lokiEndpoint": "<string>"
},
"helmRelease": {
"exists": true,
"ready": true,
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"error": "<string>",
"installFailures": 123,
"lastAttemptedRevision": "<string>",
"message": "<string>",
"reason": "<string>",
"revision": "<string>",
"upgradeFailures": 123
},
"namespace": "<string>"
}observability
Get alloy status
Ad-hoc queries against the supervisor’s own observability stack. POST
Authorisation: monitoring:GetStatus on krn:celum:supervisor:{name}:monitoring:*.
Assistant tool: get_component_status
GET
/
api
/
supervisors
/
{name}
/
monitoring
/
alloy
/
status
Get alloy status
curl --request GET \
--url https://{host}/api/supervisors/{name}/monitoring/alloy/status \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/monitoring/alloy/status"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/monitoring/alloy/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/monitoring/alloy/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/monitoring/alloy/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/monitoring/alloy/status")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/monitoring/alloy/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"installed": true,
"desired": {
"chartVersion": "<string>",
"excludeNamespaces": [
"<string>"
],
"includeNamespaces": [
"<string>"
],
"lokiEndpoint": "<string>"
},
"helmRelease": {
"exists": true,
"ready": true,
"conditions": [
{
"message": "<string>",
"reason": "<string>",
"status": "<string>",
"type": "<string>"
}
],
"error": "<string>",
"installFailures": 123,
"lastAttemptedRevision": "<string>",
"message": "<string>",
"reason": "<string>",
"revision": "<string>",
"upgradeFailures": 123
},
"namespace": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.